VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::std::errors::FileLocations Class Reference

The `FileLocations` class identifies the file(s) that caused the method to report the error. More...

List of all members.

## Public Member Functions
| FileLocations ()
| Creates a default new instance.
string | GetPrimary ()
| String identifying the file that triggered the error.
void | SetPrimary (string primary)
| String identifying the file that triggered the error.
global::System.Collections.Generic.List < string > | GetSecondary ()
| List (possibly empty) of strings identifying other files that caused the primary file to trigger the error.
void | SetSecondary (global::System.Collections.Generic.List< string > secondary)
| List (possibly empty) of strings identifying other files that caused the primary file to trigger the error.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `FileLocations` class identifies the file(s) that caused the method to report the error.

Some types of errors are caused by a problem with one or more files. This class is intended to be used as the payload to identify those files when the method reports errors like NotFound . See Error.data .

## Constructor & Destructor Documentation

vmware::vapi::std::errors::FileLocations::FileLocations | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::std::errors::FileLocations::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::std::errors::FileLocations::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::std::errors::FileLocations::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::std::errors::FileLocations::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::std::errors::FileLocations::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::std::errors::FileLocations::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vapi::std::errors::FileLocations::GetHashCode | ( |  | ) | `[inline]`

string vmware::vapi::std::errors::FileLocations::GetPrimary | ( |  | ) | `[inline]`

String identifying the file that triggered the error.

global::System.Collections.Generic.List<string> vmware::vapi::std::errors::FileLocations::GetSecondary | ( |  | ) | `[inline]`

List (possibly empty) of strings identifying other files that caused the primary file to trigger the error.

void vmware::vapi::std::errors::FileLocations::SetPrimary | ( | string | primary | ) | `[inline]`

String identifying the file that triggered the error.

void vmware::vapi::std::errors::FileLocations::SetSecondary | ( | global::System.Collections.Generic.List< string > | secondary | ) | `[inline]`

List (possibly empty) of strings identifying other files that caused the primary file to trigger the error.

override string vmware::vapi::std::errors::FileLocations::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- FileLocations.cs